<template>
	<component :is="currentCity" />
</template>

<script lang="tsx" setup name="telsExtension">
import { defineAsyncComponent, computed } from 'vue';
import { useThemeConfig } from '@/stores/themeConfig';
import { storeToRefs } from 'pinia';

// 引入组件
const YiBin = defineAsyncComponent(() => import('@/views/tels/extension/YBExtension.vue')); // 宜宾分机列表
const ZiGong = defineAsyncComponent(() => import('@/views/tels/extension/ZGExtension.vue')); // 自贡分机列表
const LuZhou = defineAsyncComponent(() => import('@/views/tels/extension/ZGExtension.vue')); // 泸州分机列表

const storesThemeConfig = useThemeConfig();
const { themeConfig } = storeToRefs(storesThemeConfig);

const COMPONENT_LIST = {
	YiBin,
	ZiGong,
	LuZhou
};
// 当前地州市
const currentCity = computed(() => {
	return COMPONENT_LIST[themeConfig.value.appScope];
});
</script>
